Show cash rounding
Retrieve a specific cash rounding by its ID
GET
/
admin
/
api
/
v1
/
accounts
/
cash-roundings
/
{id}
Show cash rounding
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "aut adipisci",
"strategy": "biggest_tax",
"rounding_method": "HALF-UP",
"rounding": 0.05,
"profit_account_id": 288,
"loss_account_id": 289,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show cash rounding
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/cash-roundings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "aut adipisci",
"strategy": "biggest_tax",
"rounding_method": "HALF-UP",
"rounding": 0.05,
"profit_account_id": 288,
"loss_account_id": 289,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}